Skip to main content
GET
/
v4
/
segments
List segments
curl --request GET \
  --url https://api.kit.com/v4/segments \
  --header 'X-Kit-Api-Key: <api-key>'
{
  "segments": [
    {
      "id": 67,
      "name": "Segment B",
      "created_at": "2023-02-17T11:43:55Z"
    },
    {
      "id": 66,
      "name": "Segment A",
      "created_at": "2023-02-17T11:43:55Z"
    }
  ],
  "pagination": {
    "has_previous_page": false,
    "has_next_page": false,
    "start_cursor": "WzY3XQ==",
    "end_cursor": "WzY2XQ==",
    "per_page": 500
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.kit.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Kit-Api-Key
string
header
required

Authenticate API requests via an API Key

Query Parameters

after
any | null

To fetch next page of results, use ?after=<end_cursor>

before
any | null

To fetch previous page of results, use ?before=<start_cursor>

include_total_count
boolean

Set to true to include the total_count in the response. This option can cause slow responses; if paging through results, request it only on the first page and reuse the value for subsequent pages.

per_page
any | null

Number of results per page. Default 500, maximum 1000.

Response

Returns a paginated list of all segments for your account

segments
object[]
required
pagination
object
required